
import React from 'react';
import Icon from 'react-icon-base';

const SlSocialVkontakte = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M3 712c0 38 26 53 58 55l149 -1c9 0 17 -6 20 -15c34 -110 76 -178 126 -255c3 -6 8 -9 13 -9c4 0 8 2 11 7l3 11l1 173c0 25 -12 29 -40 33c-11 2 -18 12 -18 22c0 2 0 4 1 6c14 43 58 65 120 65l56 1c46 0 88 -20 88 -79v-227c4 -3 8 -5 13 -5c8 0 18 5 26 18 c52 73 111 160 119 206c0 2 1 3 2 5c11 22 39 37 51 41c2 1 5 2 9 2h155l10 -1c15 0 26 -10 31 -19c9 -14 7 -29 8 -35v-7c-15 -91 -119 -193 -163 -259c-6 -8 -9 -15 -9 -22c0 -6 3 -12 8 -18l146 -184c8 -11 12 -24 12 -35c0 -33 -31 -52 -61 -55l-17 -1h-152 c-3 0 -5 -1 -8 -1c-17 0 -31 9 -41 19c-32 39 -63 79 -94 118c-6 8 -8 9 -14 13c-7 -29 -13 -59 -20 -89l-3 -17c-5 -18 -18 -37 -42 -42l-14 -1h-98c-173 0 -328 246 -437 553c-3 8 -5 19 -5 29zM604 453c-26 0 -55 15 -55 43v230c0 27 -12 37 -45 37l-57 -2 c-32 0 -50 -5 -65 -15c23 -11 44 -26 44 -68v-176c-3 -35 -32 -58 -60 -58c-19 0 -36 11 -46 29c-45 68 -83 132 -116 224l-9 26l-133 1c-18 0 -16 -1 -16 -10c0 -6 1 -14 2 -19l21 -56c109 -282 246 -467 376 -467h99h1c14 0 13 17 16 27l19 88c4 9 7 17 14 24 c8 8 17 11 26 11c19 0 37 -15 49 -29l85 -108c7 -11 13 -13 17 -13h2h159h4c16 0 30 5 30 15c0 3 -1 7 -3 10l-145 181c-12 15 -17 30 -17 45c0 16 6 32 16 46c42 63 132 153 153 227l3 13c-1 5 -1 9 -2 14h-157c-10 -4 -18 -10 -24 -18l-6 -19c-23 -64 -86 -152 -131 -213 c-15 -14 -32 -20 -49 -20z"/></g>
    </Icon>
);

export default SlSocialVkontakte;
